from django import forms  
from discussion.models import Employee , Thread, Topic
class EmployeeForm(forms.ModelForm):  
    class Meta:  
        model = Employee  
        fields = "__all__"

class ThreadForm(forms.ModelForm): 
	msg = forms.CharField(widget=forms.Textarea(attrs={'class' : 'form-control send-message','rows':'3', 'placeholder':'Comment...'}))
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Thread
		# fields = "__all__"
		exclude = ("person","topic","likes","dislikes") 

class TopicForm(forms.ModelForm):
	title = forms.CharField(widget=forms.TextInput(attrs={'class' : 'form-control send-message', 'placeholder':'Title...'}))
	class Meta:
		model = Topic
		fields = "__all__"
		exclude = ("subject",)  